.rui-help-button {
  &__trigger {
    border-radius: 50%;
    cursor: help;
  }

  &__content {
    max-width: 400px;
    padding: var(--spacer-small);
    color: var(--state-color-blue);
    font-size: var(--font-size-small);
    text-align: left;
    white-space: pre-line;

    li {
      margin-bottom: var(--spacer-small);
    }
  }
}

// floating-vue overrides
.v-popper {
  display: inline-block;
}

// Theme
.v-popper--theme-help {
  .v-popper__inner {
    border: 1px solid var(--border-color);
    border-radius: var(--border-radius);
    background-color: var(--component-content-background);
    box-shadow: 0 0 3px 0 var(--border-color);

    &:hover{
      background-color: var(--component-content-background-alt)
    }
  }

  .v-popper__arrow-inner,
  .v-popper__arrow-outer {
    border-color: var(--border-color);
  }
}
